#
# spec file for package python-autoupgrade-ng
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-autoupgrade-ng
Version:        0.3.0
Release:        4.1
Summary:        Automatic upgrade of PyPI packages
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/vuolter/autoupgrade
Source:         https://files.pythonhosted.org/packages/source/a/autoupgrade-ng/autoupgrade-ng-%{version}.zip
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-pip
BuildArch:      noarch
%python_subpackages

%description
Automatic upgrade of PyPI packages from within Python scripts

The upgrade will be unattended and the python script will be restarted.

Old methods are still supported.

%prep
%setup -q -n autoupgrade-ng-%{version}

%build
%pyproject_wheel
dos2unix README.rst

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%{python_sitelib}/autoupgrade
%{python_sitelib}/autoupgrade[-_]ng-%{version}*-info

%changelog
* Tue May 13 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Mar  3 2018 arun@gmx.de
- specfile:
  * update copyright year
  * don't use python_module for Requires
* Fri Jun  2 2017 sebix+novell.com@sebix.at
- initial package
